                     Computer  Science 481/681
                        Quiz 7  -         Name ________________________

1. To send a UDP datagram a program must first create a socket of
   type:

   a. SOCK_RAW                           b. SOCK_UDP

   c. SOCK_STREAM                        d. SOCK_DGRAM

2. When the recvfrom() system call is used to receive a datagram
   the recipient is notified of

   a. The senders IP address             b. The senders port number

   c. Both a. and b.                     d. Neither a. or b.

3. The type of service provided by UDP is best described as

   a. Connection oriented and            b. Connection less and
      reliable                              reliable

   c. Connection oriented and            d. Connection less and
      unreliable                            unreliable

4. Which of the following "offenses" are most likely to be encountered
   by users of UDP

   a. Delivery of duplicate copies       b. Discarding and thus "loss"
      of a single packet.                   a complete packet.

   c. Loss of part of a packet.          d. None of the above are ever
                                            encountered using UDP

5. The UDP checksum covers

   a. Just the UDP header                b. The UDP header and the data

   c. A "pseudo" IP header,              d. Just the data
      the UDP header and the data

6. The maximum size of a datagram that you can send using UDP

   a. Is always 64K bytes.               b. Varies from system to system
                                            but is generally larger than
                                            8K bytes

   c. Is always 1500 bytes.              d. Is 256 bytes.

7. Suppose a region of Europe was assigned a block of CIDR class
   C addresses in the range from 0xc3800000 to 0xc38fffff what would
   be the appropriate network mask to associate with this domain.




8. The advantages of using BGP over EGP are claimed most signficant in
   AS's of type

   a. Stub                                b. Multihomed

   c. Transit                             d. Local


9. In both BGP and EGP the policy decisions as to which routers will be allowed
   to converse with each other is normally made:

   a. By human system administrators      b. Dynamically... all neighbors
                                             one hop apart acquire each
                                             other automatically

   c. Both a. and b. are commonly used.

10. BGP is able to avoid the potential routing loops associated with
    the peer backbone problems of EGP

    a. By communicating full routing       b. By using link state rather
       path info instead of simple            than vector distance protocols
       reachability info.

    c. By using vector distance rather
       than link state protocols.
